Package org.codehaus.janino.util.signature

# Interface SignatureParser.TypeSignature

All Known Subinterfaces:
  `SignatureParser.FieldTypeSignature`

All Known Implementing Classes:
  `SignatureParser.ArrayTypeSignature`, `SignatureParser.ClassTypeSignature`, `SignatureParser.PrimitiveTypeSignature`, `SignatureParser.TypeVariableSignature`

Enclosing class:
  `SignatureParser`

public static interface SignatureParser.TypeSignature
Representation of the "TypeSignature" clause. A 'type signature' is one of

`SignatureParser.PrimitiveTypeSignature`:
  '`byte`', '`int`', etc., but not '`void`'
`SignatureParser.FieldTypeSignature`:
  One of:
    `SignatureParser.ClassTypeSignature` (e.g. '`pkg.Outer<T>.Inner<U>`')
    `SignatureParser.ArrayTypeSignature`
    `SignatureParser.TypeVariableSignature` (e.g. '`T`')
`SignatureParser.VOID`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

## Method Details

### toString

String toString()

Overrides:
  `toString` in class `Object`